import 'package:flutter/material.dart';

class SmartColumn extends StatelessWidget {
  const SmartColumn({Key? key,
    ///item渲染器
    required IndexedWidgetBuilder itemBuilder,
    ///数据个数
    required itemCount,
    ///分割线高度
    double dividerThickness = 0,
    ///分割线颜色
    Color dividerColor = Colors.transparent,
    ///缓存高度
    double? cacheExtent,
    ///是否包含开头分割线
    bool dividerEnd = false,
    ///是否包含结尾分割线
    bool dividerStart = false,
    ///滑动方向
    Axis scrollDirection = Axis.vertical,
    ///分割线渲染器
    IndexedWidgetBuilder? separatorBuilder,
    ///滑动模式
    ScrollPhysics? physics,
    ///列表元素回收
    // CollectGarbage? collectGarbage,
    // ///追踪进入 Viewport 的列表元素的 index（即你看到的可视区域，并不包括缓存距离）
    // ViewPortBuilder? viewportBuilder,
    ///是否计算item尺寸
    bool shrinkWrap = false,
    ///是否使用Column
    bool useListView = false,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
